package com.yeejoin.equipmanage.common.enums;

public enum EquipStatusEquipPageEnum {

    ZW("1", "在位"),
    ZQ("2", "执勤"),
    WX("3", "维修"),
    TY("6", "退役"),
    BF("7", "报废"),
    CZ("10", "车载"),
    SH("11", "损耗"),
    PZ("12", "配装");
    private String code;

    private String describe;

    private EquipStatusEquipPageEnum(String code, String describe) {
        this.code = code;
        this.describe = describe;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getDescribe() {
        return describe;
    }

    public void setDescribe(String describe) {
        this.describe = describe;
    }

    public static String getDescribe(String code) {
        String describe = "未入库";
        for (EquipStatusEquipPageEnum type : EquipStatusEquipPageEnum.values()) {
            if (type.getCode().equals(code)) {
                describe = type.getDescribe();
                break;
            }
        }
        return describe;
    }


}
